%define date    20160830

Name:           harris
Version:        0.3.0
Release:        %mkrel 0.%{date}.1
Summary:        A strategy game based around the actions of RAF Bomber Command during WW2
Group:          Games/Strategy
License:        GPLv3+
URL:            https://github.com/ec429/harris
#Source0:        https://github.com/ec429/harris/archive/%{version}.tar.gz
Source0:        %{name}-%{version}-%{date}.tar.xz
Patch0:         0001-Makefile-Fix-ordering-of-linker-arguments.patch

BuildRequires:  atg-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_ttf)

%description
Harris is a strategy game based around the actions of RAF Bomber Command
in the Second World War. In Harris, you take on the role of the
Commander-in-Chief of Bomber Command, tasked with launching bombing raids
against Nazi Germany. It is your responsibility to take the war to the enemy
and destroy their capacity and will to wage war.

%prep
%autosetup -p1 -n %{name}-%{version}-%{date}

%build
%setup_compile_flags
# Workaround https://github.com/ec429/harris/issues/8
export CFLAGS="%{optflags} -Wno-error=maybe-uninitialized"
%make_build PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix}

%files
%doc HOWTOPLAY README STRATEGY
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/


%changelog
* Sat Oct 29 2016 akien <akien> 0.3.0-0.20160830.1.mga6
+ Revision: 1063977
- Snapshot of upcoming 0.3.0

* Tue Oct 11 2016 daviddavid <daviddavid> 0.2.4-3.mga6
+ Revision: 1060157
- rebuild for new libatg 3.0.0

* Mon Feb 08 2016 umeabot <umeabot> 0.2.4-2.mga6
+ Revision: 950449
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 akien <akien> 0.2.4-1.mga5
+ Revision: 793551
- Version 0.2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-3.mga5
+ Revision: 740550
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-2.mga5
+ Revision: 680084
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 akien <akien> 0.2.2-1.mga5
+ Revision: 654871
- imported package harris

